Bug 948072 - (CVE-2013-1923) CVE-2013-1923 nfs-utils: rpc.gssd is vulnerable to DNS spoofing
CVE-2013-1923 nfs-utils: rpc.gssd is vulnerable to DNS spoofing
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130402,reported=2...
: Reopened, Security
Depends On: 948078
Blocks: 948077
  Show dependency treegraph
 
Reported: 2013-04-03 18:27 EDT by Vincent Danen
Modified: 2015-08-22 02:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 02:24:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 707401 None None None Never

  None (edit)
Description Vincent Danen 2013-04-03 18:27:44 EDT
It was reported [1],[2] that rpc.gssd in nfs-utils is vulnerable to DNS spoofing due to it depending on PTR resolution for GSSAPI authentication.  Because of this, if a user where able to poison DNS to a victim's computer, they would be able to trick rpc.gssd into talking to another server (perhaps with less security) than the intended server (with stricter security).  If the victim has write access to the second (less secure) server, and the attacker has read access (when they normally might not on the secure server), the victim could write files to that server, which the attacker could obtain (when normally they would not be able to).  To the victim this is transparent because the victim's computer asks the KDC for a ticket to the second server due to reverse DNS resolution; in this case Krb5 authentication does not fail because the victim is talking to the "correct" server.

A patch that prevents this issue has been posted [3].

To workaround this issue, set the IP/host pair in /etc/hosts so that it cannot be spoofed.

A good explanation is also available here [4].

[1] http://marc.info/?l=linux-nfs&m=136491998607561&w=2
[2] http://marc.info/?l=linux-nfs&m=136500502805121&w=2
[3] http://marc.info/?l=linux-nfs&m=136493115612397&w=2
[4] http://ssimo.org/blog/id_015.html
Comment 1 Vincent Danen 2013-04-03 18:42:01 EDT
Created nfs-utils tracking bugs for this issue

Affects: fedora-all [bug 948078]
Comment 2 Vincent Danen 2013-04-04 16:52:47 EDT
This was assigned CVE-2013-1923:

http://www.openwall.com/lists/oss-security/2013/04/04/5
Comment 7 Vincent Danen 2014-01-11 14:34:33 EST
Current Fedora 19+ ship with nfs-utils 1.2.8 which includes the fix.
Comment 9 Vincent Danen 2015-08-22 02:23:58 EDT
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.